This discussion has been locked. The information referenced herein may be inaccurate due to age, software updates, or external references.
You can no longer post new replies to this discussion. If you have a similar question you can start a new discussion in this forum.

HTTPS broken after upgrade to 15.3.1 (from 15.3.0)

I have Snap and upgrade our FTP server yesterday from 15.3.0 to 15.3.1

now https is no more working.

This site can’t provide a secure connection

ftp01.tsiss.com uses an unsupported protocol.

ERR_SSL_VERSION_OR_CIPHER_MISMATCH
view certificate is fine and valid.
any idea ?
Parents
  • I saw this but only in for one certificate, everything else was fine. We ended up reissuing the certificate from a different provider and it was fine. Not sure what would cause that but maybe 15.3.1 doesnt support some specific certs?

    do you know if a change to OpenSSL in 15.3.1 may be the reason for this error with specific certs?

Reply
  • I saw this but only in for one certificate, everything else was fine. We ended up reissuing the certificate from a different provider and it was fine. Not sure what would cause that but maybe 15.3.1 doesnt support some specific certs?

    do you know if a change to OpenSSL in 15.3.1 may be the reason for this error with specific certs?

Children
  • Upgrade of OpenSSL touched security settings of most parts of Serv-U.

    There is high chance, that old certificate - especially signed with low encryption methods may not be accepted anymore.

    Your way to get a new and secure certificate is one of the best options you could do.